SAVELOG(X_MAN8_EXT_X)

NAME
savelog - cycle and truncate log files

SYNOPSIS
X_UTIL_BIN_DIR_X/savelog [ -m mode ] [ -u user ] [ -g group ] [ -c cycle ] [ -t ] [ -l ] logfile

DESCRIPTION
The savelog command renames and optionally compresses a log file and cycles it through a set of names based on the original log file, removing the last name in the cycle.

OPTIONS
The savelog command accepts the following options:

-m mode
    Change the permissions mode for renamed log files to mode. By default the mode is unchanged.

-u user
    Change the owner for renamed log files to user. By default the owner is unchanged.

-g group
    Change the group for renamed log files to group. By default the group is unchanged.

-c cycle
    Save cycle versions of the logfile, where cycle is a decimal number. The default value is 7.

-l  Do not compress log files. By default, a compression program is used, if one is available.

-t  Ensure that a new logfile exists when the savelog operation is complete. Use of -m, -u or -g imply this, ensuring that the logfile will have the designated mode.

OPERATION
The given logfile is cycled through files named:
    OLD/file.number
where file is the basename for the logfile and where number ranges from 0 to one less then the cycle count specified for the command. The OLD dirctory is created, as necessary, and is under the same directory as the logfile itself.

This cycle operation is accomplished by renaming the file numbered cycle-2 to a file numbered cycle-1 and so on until the file numbered 0 is renamed to the file numbered 1. If compression is being used, the first cycle file is compressed after being renamed to cycle 1. After the cycle files are moved through the various names, the filefile itself is moved to the cycle 0 file. This cycle normally occurs once every time savelog is executed. If the log file does not exist, savelog ignores it and does not cycle the OLD files.

If compression is being used, then compressed log files will have an additional suffix appropriate for the compression program that is used.

SEE ALSO
smail(X_MAN5_EXT_X) and smail(X_MAN8_EXT_X).

COPYRIGHT
Copyright(C)1987, 1988 Ronald S. Karr and Landon Curt Noll
See a file COPYING, distributed with the source code, or type smail -bc for distribution rights and restrictions associated with this software.